メニューを切り替える
個人設定メニューを切り替える
個人メニューを切り替える
ログインしていません
編集を行うと、IPアドレスが公開されます。

「テンプレート:MainPage/Header/styles.css」の版間の差分

提供: いろり鯖 / Hytale日本鯖Wiki
編集の要約なし
編集の要約なし
 
(同じ利用者による、間の18版が非表示)
10行目: 10行目:
flex-direction: column;
flex-direction: column;
text-align: center;
text-align: center;
}
.irori-mainpage-header-image {
pointer-events: none;
}
}


32行目: 36行目:
}
}


.irori-mainpage-header-button {
.irori-mainpage-header-button, .irori-mainpage-header-link-button {
display: flex;
}
 
.irori-mainpage-header-button, .irori-mainpage-header-link-button a {
align-items: center;
border-radius: var(--irori-border-radius-pill);
cursor: pointer;
font-size: 0.875rem;
font-weight: var(--font-weight-medium);
gap: 0.5rem;
line-height: 1;
margin-top: 1rem;
padding: 1rem 2rem;
user-select: none;
width: 100%;
text-decoration: none;
}
}


.irori-mainpage-header-join {
.irori-mainpage-header-join a {
background-color: var(--background-color-progressive);
background-color: var(--background-color-progressive);
color: var(--color-inverted-fixed);
color: var(--color-inverted-fixed);
59行目: 79行目:


.irori-mainpage-header-search {
.irori-mainpage-header-search {
align-items: center;
border-radius: var(--irori-border-radius-pill);
cursor: pointer;
display: flex;
font-size: 0.875rem;
font-weight: var(--font-weight-medium);
gap: 0.5rem;
line-height: 1;
margin-top: 1rem;
padding: 1rem 2rem;
user-select: none;
width: 100%;
border: 2px solid var(--background-color-progressive);
border: 2px solid var(--background-color-progressive);
color: var(--color-link);
color: var(--color-link);

2026年1月10日 (土) 05:30時点における最新版

.irori-mainpage-header-container {
	position: relative;
	padding-top: 0;
	padding-bottom: 2rem;
}

.irori-mainpage-header-content {
	align-items: center;
	display: flex;
	flex-direction: column;
	text-align: center;
}

.irori-mainpage-header-image {
	pointer-events: none;
}

.irori-mainpage-header-image img {
	width: 50%;
	height: 50%;
}

.irori-mainpage-header-title {
	font-size: 32px;
	font-weight: var(--font-weight-bold);
}

.irori-mainpage-header-slogan {
	font-size: 24px;
}

.irori-mainpage-header-button-container {
	display: grid;
	grid-template-columns: 1fr;
	gap: 0.5rem;
}

.irori-mainpage-header-button, .irori-mainpage-header-link-button {
	display: flex;
}

.irori-mainpage-header-button, .irori-mainpage-header-link-button a {
	align-items: center;
	border-radius: var(--irori-border-radius-pill);
	cursor: pointer;
	font-size: 0.875rem;
	font-weight: var(--font-weight-medium);
	gap: 0.5rem;
	line-height: 1;
	margin-top: 1rem;
	padding: 1rem 2rem;
	user-select: none;
	width: 100%;
	text-decoration: none;
}

.irori-mainpage-header-join a {
	background-color: var(--background-color-progressive);
	color: var(--color-inverted-fixed);
}

.irori-mainpage-header-join a:link {
	background-color: var(--background-color-progressive);
	color: var(--color-inverted-fixed);
}

.irori-mainpage-header-join a:visited {
	background-color: var(--background-color-progressive);
	color: var(--color-inverted-fixed);
}

.irori-mainpage-header-join a:hover {
	background-color: var(--background-color-progressive--hover);
}

.irori-mainpage-header-join a:active {
	background-color: var(--background-color-progressive--active);
}

.irori-mainpage-header-search {
	border: 2px solid var(--background-color-progressive);
	color: var(--color-link);
}

.irori-mainpage-header-search:before {
	content: '';
	width: 1em;
	height: 1em;
	mask-image: url("/images/b/b8/Tabler_Icons_-_Search.svg");
	mask-size: contain;
	background-color: currentColor;
	display: block;
}

.irori-mainpage-header-search:hover {
	border-color: var(--background-color-progressive--hover);
	color: var(--background-color-progressive--hover);
}

.irori-mainpage-header-search:active {
	border-color: var(--background-color-progressive--active);
	color: var(--background-color-progressive--active);
}

@media screen and (min-width: 600px) {
	.irori-mainpage-header-container {
		padding-top: 2rem;
	}
	
	.irori-mainpage-header-image img {
		width: 100%;
		height: 100%;
	}
	
	.irori-mainpage-header-button-container {
		grid-template-columns: 1fr 1fr;
		gap: 1rem;
	}
}